function onTalk()
	walkTo(160)
	if getFlag("31") then
		say("tirednwiredMPA23B")
		disablePause()
		playSound("event:/game/02_old_site/theoselfie_foley")
		setFlag("bequiet", true)
		wait(1.0)
		setFlag("32", true)
		wait(2.0)
		completeArea(false, true)
	end
	if getFlag("30") then
		say("tirednwiredMPA23A")
		setFlag("31", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("29") then
		setFlag("30a", true)
		say("tirednwiredMPA23")
		setFlag("30a", false)
		setFlag("30", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("28") then
		setFlag("29a", true)
		say("tirednwiredMPA22")
		setFlag("29a", false)
		setFlag("29", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("27") then
		say("tirednwiredMPA21A")
		setFlag("28", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("26") then
		setFlag("27a", true)
		say("tirednwiredMPA21")
		setFlag("27a", false)
		setFlag("27", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("25") then
		setFlag("26a", true)
		say("tirednwiredMPA20")
		setFlag("26a", false)
		setFlag("26", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("24") then
		say("tirednwiredMPA19A")
		setFlag("25", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("23") then
		setFlag("24a", true)
		say("tirednwiredMPA19")
		setFlag("24a", false)
		setFlag("24", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("22") then
		setFlag("23a", true)
		say("tirednwiredMPA18")
		setFlag("23a", false)
		setFlag("23", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("21") then
		setFlag("22a", true)
		say("tirednwiredMPA17")
		setFlag("22a", false)
		setFlag("22", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("20") then
		setFlag("21a", true)
		say("tirednwiredMPA16")
		setFlag("21a", false)
		setFlag("21", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("19") then
		setFlag("20a", true)
		say("tirednwiredMPA15")
		setFlag("20a", false)
		setFlag("20", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("18") then
		setFlag("19a", true)
		say("tirednwiredMPA14")
		setFlag("19a", false)
		setFlag("19", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("17") then
		say("tirednwiredMPA13A")
		setFlag("18", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("16") then
		setFlag("17a", true)
		say("tirednwiredMPA13")
		setFlag("17a", false)
		setFlag("17", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("15") then
		setFlag("16a", true)
		say("tirednwiredMPA12")
		setFlag("16a", false)
		setFlag("16", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("14") then
		say("tirednwiredMPA11B")
		setFlag("15", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("13") then
		say("tirednwiredMPA11A")
		setFlag("14", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("12") then
		setFlag("13a", true)
		say("tirednwiredMPA11")
		setFlag("13a", false)
		setFlag("13", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("11") then
		setFlag("12a", true)
		say("tirednwiredMPA10")
		setFlag("12a", false)
		setFlag("12", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("10") then
		setFlag("11a", true)
		say("tirednwiredMPA09")
		setFlag("11a", false)
		setFlag("11", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("09") then
		say("tirednwiredMPA08A")
		setFlag("10", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("08") then
		setFlag("09a", true)
		say("tirednwiredMPA08")
		setFlag("09a", false)
		setFlag("09", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("07") then
		setFlag("08a", true)
		say("tirednwiredMPA07")
		setFlag("08a", false)
		setFlag("08", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("06") then
		say("tirednwiredMPA06A")
		setFlag("07", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("05") then
		setFlag("06a", true)
		say("tirednwiredMPA06")
		setFlag("06a", false)
		setFlag("06", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("04") then
		setFlag("05a", true)
		say("tirednwiredMPA05")
		setFlag("05a", false)
		setFlag("05", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("03") then
		setFlag("04a", true)
		say("tirednwiredMPA04")
		setFlag("04a", false)
		setFlag("04", true)
		enableMovement()
		endCutscene()
	end
	if getFlag("02") then
		say("tirednwiredMPA03A")
		setFlag("03", true)
		enableMovement()
		endCutscene()
	end
	if not getFlag("01") then
		setFlag("01a", true)
		say("tirednwiredMPA02")
		setFlag("01a", false)
		setFlag("01", true)
	else
		setFlag("02a", true)
		say("tirednwiredMPA03")
		setFlag("02a", false)
		setFlag("02", true)
	end
	enableMovement()
end